<template>
  <div class="feature">
    <div class="icon-container" v-html="icon"></div>
    <h3 class="title">{{title}}</h3>
    <p class="body">{{body}}</p>
  </div>
</template>

<script>
export default {
  name: "Feature",
  props: {
    title: {
      type: String,
      required: true
    },
    body: {
      type: String,
      required: true
    },
    icon: {
      type: String,
      required: true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.feature
  color $white
  display flex
  flex-direction column
  align-items center
  direction rtl
  border-radius .5rem
  padding $md
  transition all .3s ease-out
  &:hover
    box-shadow 0 1rem 2rem rgba(black, .4)
    transform translateY(-1rem)

.feature:hover .title
  color $primary

.feature:hover >>> svg 
  fill $primary

.title
  transition all .3 ease-out
  font-size 2.5rem
  font-weight 500
  margin-bottom $xsm

.body
  text-align center
  line-height 3rem

.icon-container 
  margin-bottom $sm
  & >>> svg
    transition all .3 ease-out
    width 13rem
    height 13rem
    fill $white
</style>